# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions

# vl::VLXClassWrapper_Geometry Struct Reference

VLX wrapper of vl::Geometry. More...

`#include <VLXWrappers.hpp>`

Inheritance diagram for vl::VLXClassWrapper_Geometry:

List of all members.

## Public Member Functions

void | importGeometry (VLXSerializer &s, const VLXStructure *vlx, Geometry *geom)
virtual ref< Object > | importVLX (VLXSerializer &s, const VLXStructure *vlx)
void | exportGeometry (VLXSerializer &s, const Geometry *geom, VLXStructure *vlx)
virtual ref< VLXStructure > | exportVLX (VLXSerializer &s, const Object *obj)

## Detailed Description

VLX wrapper of vl::Geometry.

Definition at line 597 of file VLXWrappers.hpp.

## Member Function Documentation

void vl::VLXClassWrapper_Geometry::importGeometry | ( | VLXSerializer & | s,
|  | const VLXStructure * | vlx,
|  | Geometry * | geom
| ) |  | `[inline]`

Definition at line 599 of file VLXWrappers.hpp.

References vl::Geometry::drawCalls(), vl::Log::error(), vl::VLXValue::getStructure(), vl::VLXClassWrapper_Renderable::importRenderable(), vl::VLXSerializer::importVLX(), vl::VLXValue::lineNumber(), vl::Collection< T >::push_back(), vl::VertexAttribInfo::setAttribLocation(), vl::Geometry::setColorArray(), vl::Geometry::setFogCoordArray(), vl::Geometry::setNormalArray(), vl::Geometry::setSecondaryColorArray(), vl::Geometry::setTexCoordArray(), vl::Geometry::setVertexArray(), vl::Geometry::setVertexAttribArray(), vl::VLXSerializer::signalImportError(), vl::VLXValue::Structure, vl::VLXValue::type(), vl::VLXStructure::value(), and VLX_IMPORT_CHECK_RETURN.

Referenced by importVLX().

virtual ref<Object> vl::VLXClassWrapper_Geometry::importVLX | ( | VLXSerializer & | s,
|  | const VLXStructure * | vlx
| ) |  | `[inline, virtual]`

Implements vl::VLXClassWrapper.

Definition at line 722 of file VLXWrappers.hpp.

References vl::ref< T >::get(), importGeometry(), and vl::VLXSerializer::registerImportedStructure().

void vl::VLXClassWrapper_Geometry::exportGeometry | ( | VLXSerializer & | s,
|  | const Geometry * | geom,
|  | VLXStructure * | vlx
| ) |  | `[inline]`

Definition at line 731 of file VLXWrappers.hpp.

References vl::Collection< T >::at(), vl::Geometry::colorArray(), vl::Geometry::drawCalls(), vl::VLXClassWrapper_Renderable::exportRenderable(), vl::VLXSerializer::exportVLX(), vl::Geometry::fogCoordArray(), vl::Geometry::normalArray(), vl::String::printf(), vl::Geometry::secondaryColorArray(), vl::Collection< T >::size(), vl::Geometry::texCoordArray(), vl::String::toStdString(), vl::Geometry::vertexArray(), vl::Geometry::vertexAttribArray(), VL_MAX_GENERIC_VERTEX_ATTRIB, and VL_MAX_TEXTURE_UNITS.

Referenced by exportVLX().

virtual ref<VLXStructure> vl::VLXClassWrapper_Geometry::exportVLX | ( | VLXSerializer & | s,
|  | const Object * | obj
| ) |  | `[inline, virtual]`

Implements vl::VLXClassWrapper.

Definition at line 774 of file VLXWrappers.hpp.

References vl::Object::as(), exportGeometry(), vl::VLXSerializer::generateID(), vl::VLXSerializer::registerExportedObject(), VL_CHECK, and vl::vlx_makeTag().

The documentation for this struct was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/VLXWrappers.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:56.
Permission is granted to use this page to write and publish articles regarding Visualization Library.